Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.framelist
Class FrameAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.views.framelist.FrameAction

All Implemented Interfaces:
  IAction

Direct Known Subclasses:
  BackAction, ForwardAction, GoIntoAction, UpAction

public abstract class FrameAction
extends Action

Abstract superclass for actions dealing with frames or a frame list. This listens for changes to the frame list and updates itself accordingly.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`protected` | `FrameAction(FrameList frameList)` Constructs a new action for the specified frame list.

Method Summary
`void` | `dispose()` Disposes this frame action.
`FrameList` | `getFrameList()` Returns the frame list.
`protected void` | `handlePropertyChange(PropertyChangeEvent event)` Handles a property change event from the frame list.
`void` | `update()` Updates this action.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameAction

    protected FrameAction(FrameList frameList)

  Constructs a new action for the specified frame list. and adds a property change listener on it.

Parameters:
  `frameList` - the frame list

Method Detail

### dispose

    public void dispose()

  Disposes this frame action. This implementation removes the property change listener from the frame list.

### getFrameList

    public FrameList getFrameList()

  Returns the frame list.

### handlePropertyChange

    protected void handlePropertyChange(PropertyChangeEvent event)

  Handles a property change event from the frame list. This implementation calls `update()`.

### update

    public void update()

  Updates this action. This implementation does nothing. Most implementations will override this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.